%% set_pb
%    create the new subgrid push button handle
% inputs:
%   object:Cell - Current Cell Object
% outputs;
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = set_pb(object,fig,pos)
if(object.pb_flag == 1 && (isempty(object.grid_pb) || ~ishghandle(object.grid_pb)))
    object.grid_pb = uicontrol('style','push',...
        'units','pix',...
        'string','+',...
        'HorizontalAlign','left',...
        'Parent',fig,...
        'position',pos,...
        'callback',@(src,event)pb_call(object,src,event));
elseif (object.pb_flag == 1 && ~isempty(object.grid_pb))
    set(object.grid_pb,'Position',pos);
else
end
end

